SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Conditions of Use
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:resolve-QName

fn:resolve-QName($qname as xs:string, $element as element()) as xs:QName

Function signature

$qname | xs:string ?
$element | element()
Result | xs:QName ?

Expands a lexical QName using the in-scope namespaces from the given element

XPath 2.0 Specification

Next